Subject: bug#44953: lsof: LTlock test consistently fails (possibly due to btrfs)

From: raingloom <[email-masked]>
Date: Sat, 5 Dec 2020 02:57:36 +0100

On Sun, 29 Nov 2020 20:30:20 -0500
Mark H Weaver <[email-masked]> wrote:

> Hi Tobias,
> 
> Thanks for the super quick response and for reproducing the bug.
> 
> > This looks like an upstream bug to me.  
> 
> Agreed.
> 
> > Do you have time to file 
> > one?  We're using the <https://github.com/lsof-org/lsof> upstream 
> > since Victor Abell retired.  
> 
> I have time, but there's another problem: it appears that I cannot
> file a bug report on Github without first creating an account, which
> in turn requires me to formally agree to their legal agreement.
> Among other things, it includes an indemnification clause, meaning
> that I would have to promise to pay their legal fees if some dispute
> arises involving me and they decide to retain laywers to deal with
> it.  They also claim the right to change the terms of the agreement
> at any time without notifying me, and by continuing to use the
> service I would implicitly agree to those new terms.
> 
> I refuse to sign that agreement, which means that I cannot file bug
> reports on Github.  Oh well.
> 
> I don't actually care about 'lsof', except for the fact that our
> 'gnome' package depends on it.  For now, I'll just disable the 'lsof'
> test suite on my private branch.
> 
> > Alternatively we could disable this test in Guix ‘for now’ with a
> > comment--but we both know how long it will remain unfixed.  
> 
> Sounds fine to me, unless someone who has already has a Github account
> wants to use it to file a bug.
> 
>   Thanks again,
>       Mark
> 
> 
> 

My usual workaround to this is to do a shallow clone (git clone --depth
1) and look for frequently occuring email addresses in git log.
Then I just send the bug/patch to them. It hasn't failed so far.